Get Single Commit Comment
GET/api/v5/repos/:owner/:repo/commits/:ref/comments
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
ref stringrequired
commit's SHA
Query Parameters
access_token string
User authorization code
page integer
The current page number
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
bodystring
created_atstring
idinteger
updated_atstring
user object
idinteger
loginstring
namestring
typestring
[
{
"body": "string",
"created_at": "string",
"id": 0,
"updated_at": "string",
"user": {
"id": 0,
"login": "string",
"name": "string",
"type": "string"
}
}
]
{
"body": "11111",
"created_at": "2024-11-19T11:22:50+08:00",
"id": 13837749,
"updated_at": "2024-11-19T11:22:50+08:00",
"user": {
"id": 173794,
"login": "xiaogang",
"name": "Xiao Gang",
"type": "User"
}
}